1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.12
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52# Maximum number of lines to put in a shell here document.
53ac_max_here_lines=12
54
55ac_prev=
56for ac_option
57do
58
59  # If the previous option needs an argument, assign it.
60  if test -n "$ac_prev"; then
61    eval "$ac_prev=\$ac_option"
62    ac_prev=
63    continue
64  fi
65
66  case "$ac_option" in
67  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
68  *) ac_optarg= ;;
69  esac
70
71  # Accept the important Cygnus configure options, so we can diagnose typos.
72
73  case "$ac_option" in
74
75  -bindir | --bindir | --bindi | --bind | --bin | --bi)
76    ac_prev=bindir ;;
77  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
78    bindir="$ac_optarg" ;;
79
80  -build | --build | --buil | --bui | --bu)
81    ac_prev=build ;;
82  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
83    build="$ac_optarg" ;;
84
85  -cache-file | --cache-file | --cache-fil | --cache-fi \
86  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
87    ac_prev=cache_file ;;
88  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
89  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
90    cache_file="$ac_optarg" ;;
91
92  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
93    ac_prev=datadir ;;
94  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
95  | --da=*)
96    datadir="$ac_optarg" ;;
97
98  -disable-* | --disable-*)
99    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
100    # Reject names that are not valid shell variable names.
101    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
102      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
103    fi
104    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
105    eval "enable_${ac_feature}=no" ;;
106
107  -enable-* | --enable-*)
108    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
109    # Reject names that are not valid shell variable names.
110    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
111      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112    fi
113    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114    case "$ac_option" in
115      *=*) ;;
116      *) ac_optarg=yes ;;
117    esac
118    eval "enable_${ac_feature}='$ac_optarg'" ;;
119
120  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
121  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
122  | --exec | --exe | --ex)
123    ac_prev=exec_prefix ;;
124  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
125  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
126  | --exec=* | --exe=* | --ex=*)
127    exec_prefix="$ac_optarg" ;;
128
129  -gas | --gas | --ga | --g)
130    # Obsolete; use --with-gas.
131    with_gas=yes ;;
132
133  -help | --help | --hel | --he)
134    # Omit some internal or obsolete options to make the list less imposing.
135    # This message is too long to be a string in the A/UX 3.1 sh.
136    cat << EOF
137Usage: configure [options] [host]
138Options: [defaults in brackets after descriptions]
139Configuration:
140  --cache-file=FILE       cache test results in FILE
141  --help                  print this message
142  --no-create             do not create output files
143  --quiet, --silent       do not print \`checking...' messages
144  --version               print the version of autoconf that created configure
145Directory and file names:
146  --prefix=PREFIX         install architecture-independent files in PREFIX
147                          [$ac_default_prefix]
148  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
149                          [same as prefix]
150  --bindir=DIR            user executables in DIR [EPREFIX/bin]
151  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
152  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
153  --datadir=DIR           read-only architecture-independent data in DIR
154                          [PREFIX/share]
155  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
156  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
157                          [PREFIX/com]
158  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
159  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
160  --includedir=DIR        C header files in DIR [PREFIX/include]
161  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
162  --infodir=DIR           info documentation in DIR [PREFIX/info]
163  --mandir=DIR            man documentation in DIR [PREFIX/man]
164  --srcdir=DIR            find the sources in DIR [configure dir or ..]
165  --program-prefix=PREFIX prepend PREFIX to installed program names
166  --program-suffix=SUFFIX append SUFFIX to installed program names
167  --program-transform-name=PROGRAM
168                          run sed PROGRAM on installed program names
169EOF
170    cat << EOF
171Host type:
172  --build=BUILD           configure for building on BUILD [BUILD=HOST]
173  --host=HOST             configure for HOST [guessed]
174  --target=TARGET         configure for TARGET [TARGET=HOST]
175Features and packages:
176  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
177  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
178  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
179  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
180  --x-includes=DIR        X include files are in DIR
181  --x-libraries=DIR       X library files are in DIR
182EOF
183    if test -n "$ac_help"; then
184      echo "--enable and --with options recognized:$ac_help"
185    fi
186    exit 0 ;;
187
188  -host | --host | --hos | --ho)
189    ac_prev=host ;;
190  -host=* | --host=* | --hos=* | --ho=*)
191    host="$ac_optarg" ;;
192
193  -includedir | --includedir | --includedi | --included | --include \
194  | --includ | --inclu | --incl | --inc)
195    ac_prev=includedir ;;
196  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
197  | --includ=* | --inclu=* | --incl=* | --inc=*)
198    includedir="$ac_optarg" ;;
199
200  -infodir | --infodir | --infodi | --infod | --info | --inf)
201    ac_prev=infodir ;;
202  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
203    infodir="$ac_optarg" ;;
204
205  -libdir | --libdir | --libdi | --libd)
206    ac_prev=libdir ;;
207  -libdir=* | --libdir=* | --libdi=* | --libd=*)
208    libdir="$ac_optarg" ;;
209
210  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
211  | --libexe | --libex | --libe)
212    ac_prev=libexecdir ;;
213  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
214  | --libexe=* | --libex=* | --libe=*)
215    libexecdir="$ac_optarg" ;;
216
217  -localstatedir | --localstatedir | --localstatedi | --localstated \
218  | --localstate | --localstat | --localsta | --localst \
219  | --locals | --local | --loca | --loc | --lo)
220    ac_prev=localstatedir ;;
221  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
222  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
223  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
224    localstatedir="$ac_optarg" ;;
225
226  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
227    ac_prev=mandir ;;
228  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
229    mandir="$ac_optarg" ;;
230
231  -nfp | --nfp | --nf)
232    # Obsolete; use --without-fp.
233    with_fp=no ;;
234
235  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
236  | --no-cr | --no-c)
237    no_create=yes ;;
238
239  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
240  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
241    no_recursion=yes ;;
242
243  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
244  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
245  | --oldin | --oldi | --old | --ol | --o)
246    ac_prev=oldincludedir ;;
247  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
248  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
249  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
250    oldincludedir="$ac_optarg" ;;
251
252  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
253    ac_prev=prefix ;;
254  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
255    prefix="$ac_optarg" ;;
256
257  -program-prefix | --program-prefix | --program-prefi | --program-pref \
258  | --program-pre | --program-pr | --program-p)
259    ac_prev=program_prefix ;;
260  -program-prefix=* | --program-prefix=* | --program-prefi=* \
261  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
262    program_prefix="$ac_optarg" ;;
263
264  -program-suffix | --program-suffix | --program-suffi | --program-suff \
265  | --program-suf | --program-su | --program-s)
266    ac_prev=program_suffix ;;
267  -program-suffix=* | --program-suffix=* | --program-suffi=* \
268  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
269    program_suffix="$ac_optarg" ;;
270
271  -program-transform-name | --program-transform-name \
272  | --program-transform-nam | --program-transform-na \
273  | --program-transform-n | --program-transform- \
274  | --program-transform | --program-transfor \
275  | --program-transfo | --program-transf \
276  | --program-trans | --program-tran \
277  | --progr-tra | --program-tr | --program-t)
278    ac_prev=program_transform_name ;;
279  -program-transform-name=* | --program-transform-name=* \
280  | --program-transform-nam=* | --program-transform-na=* \
281  | --program-transform-n=* | --program-transform-=* \
282  | --program-transform=* | --program-transfor=* \
283  | --program-transfo=* | --program-transf=* \
284  | --program-trans=* | --program-tran=* \
285  | --progr-tra=* | --program-tr=* | --program-t=*)
286    program_transform_name="$ac_optarg" ;;
287
288  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
289  | -silent | --silent | --silen | --sile | --sil)
290    silent=yes ;;
291
292  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
293    ac_prev=sbindir ;;
294  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
295  | --sbi=* | --sb=*)
296    sbindir="$ac_optarg" ;;
297
298  -sharedstatedir | --sharedstatedir | --sharedstatedi \
299  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
300  | --sharedst | --shareds | --shared | --share | --shar \
301  | --sha | --sh)
302    ac_prev=sharedstatedir ;;
303  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
304  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
305  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
306  | --sha=* | --sh=*)
307    sharedstatedir="$ac_optarg" ;;
308
309  -site | --site | --sit)
310    ac_prev=site ;;
311  -site=* | --site=* | --sit=*)
312    site="$ac_optarg" ;;
313
314  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
315    ac_prev=srcdir ;;
316  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
317    srcdir="$ac_optarg" ;;
318
319  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
320  | --syscon | --sysco | --sysc | --sys | --sy)
321    ac_prev=sysconfdir ;;
322  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
323  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
324    sysconfdir="$ac_optarg" ;;
325
326  -target | --target | --targe | --targ | --tar | --ta | --t)
327    ac_prev=target ;;
328  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
329    target="$ac_optarg" ;;
330
331  -v | -verbose | --verbose | --verbos | --verbo | --verb)
332    verbose=yes ;;
333
334  -version | --version | --versio | --versi | --vers)
335    echo "configure generated by autoconf version 2.12"
336    exit 0 ;;
337
338  -with-* | --with-*)
339    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
340    # Reject names that are not valid shell variable names.
341    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
342      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
343    fi
344    ac_package=`echo $ac_package| sed 's/-/_/g'`
345    case "$ac_option" in
346      *=*) ;;
347      *) ac_optarg=yes ;;
348    esac
349    eval "with_${ac_package}='$ac_optarg'" ;;
350
351  -without-* | --without-*)
352    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
353    # Reject names that are not valid shell variable names.
354    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
355      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
356    fi
357    ac_package=`echo $ac_package| sed 's/-/_/g'`
358    eval "with_${ac_package}=no" ;;
359
360  --x)
361    # Obsolete; use --with-x.
362    with_x=yes ;;
363
364  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
365  | --x-incl | --x-inc | --x-in | --x-i)
366    ac_prev=x_includes ;;
367  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
368  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
369    x_includes="$ac_optarg" ;;
370
371  -x-libraries | --x-libraries | --x-librarie | --x-librari \
372  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
373    ac_prev=x_libraries ;;
374  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
375  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
376    x_libraries="$ac_optarg" ;;
377
378  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
379    ;;
380
381  *)
382    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
383      echo "configure: warning: $ac_option: invalid host type" 1>&2
384    fi
385    if test "x$nonopt" != xNONE; then
386      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
387    fi
388    nonopt="$ac_option"
389    ;;
390
391  esac
392done
393
394if test -n "$ac_prev"; then
395  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
396fi
397
398trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
399
400# File descriptor usage:
401# 0 standard input
402# 1 file creation
403# 2 errors and warnings
404# 3 some systems may open it to /dev/tty
405# 4 used on the Kubota Titan
406# 6 checking for... messages and results
407# 5 compiler messages saved in config.log
408if test "$silent" = yes; then
409  exec 6>/dev/null
410else
411  exec 6>&1
412fi
413exec 5>./config.log
414
415echo "\
416This file contains any messages produced by compilers while
417running configure, to aid debugging if configure makes a mistake.
418" 1>&5
419
420# Strip out --no-create and --no-recursion so they do not pile up.
421# Also quote any args containing shell metacharacters.
422ac_configure_args=
423for ac_arg
424do
425  case "$ac_arg" in
426  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
427  | --no-cr | --no-c) ;;
428  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
429  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
430  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
431  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
432  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
433  esac
434done
435
436# NLS nuisances.
437# Only set these to C if already set.  These must not be set unconditionally
438# because not all systems understand e.g. LANG=C (notably SCO).
439# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
440# Non-C LC_CTYPE values break the ctype check.
441if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
442if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
444if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
445
446# confdefs.h avoids OS command line length limits that DEFS can exceed.
447rm -rf conftest* confdefs.h
448# AIX cpp loses on an empty file, so make sure it contains at least a newline.
449echo > confdefs.h
450
451# A filename unique to this package, relative to the directory that
452# configure is in, which we can look for to find out if srcdir is correct.
453ac_unique_file=bulk_mailer.c
454
455# Find the source files, if location was not specified.
456if test -z "$srcdir"; then
457  ac_srcdir_defaulted=yes
458  # Try the directory containing this script, then its parent.
459  ac_prog=$0
460  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
461  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
462  srcdir=$ac_confdir
463  if test ! -r $srcdir/$ac_unique_file; then
464    srcdir=..
465  fi
466else
467  ac_srcdir_defaulted=no
468fi
469if test ! -r $srcdir/$ac_unique_file; then
470  if test "$ac_srcdir_defaulted" = yes; then
471    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
472  else
473    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
474  fi
475fi
476srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
477
478# Prefer explicitly selected file to automatically selected ones.
479if test -z "$CONFIG_SITE"; then
480  if test "x$prefix" != xNONE; then
481    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
482  else
483    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
484  fi
485fi
486for ac_site_file in $CONFIG_SITE; do
487  if test -r "$ac_site_file"; then
488    echo "loading site script $ac_site_file"
489    . "$ac_site_file"
490  fi
491done
492
493if test -r "$cache_file"; then
494  echo "loading cache $cache_file"
495  . $cache_file
496else
497  echo "creating cache $cache_file"
498  > $cache_file
499fi
500
501ac_ext=c
502# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
503ac_cpp='$CPP $CPPFLAGS'
504ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
505ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506cross_compiling=$ac_cv_prog_cc_cross
507
508if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
509  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
510  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
511    ac_n= ac_c='
512' ac_t='	'
513  else
514    ac_n=-n ac_c= ac_t=
515  fi
516else
517  ac_n= ac_c='\c' ac_t=
518fi
519
520
521
522
523echo $ac_n "checking for gethostbyname in -lnsl""... $ac_c" 1>&6
524echo "configure:525: checking for gethostbyname in -lnsl" >&5
525ac_lib_var=`echo nsl'_'gethostbyname | sed 'y%./+-%__p_%'`
526if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
527  echo $ac_n "(cached) $ac_c" 1>&6
528else
529  ac_save_LIBS="$LIBS"
530LIBS="-lnsl  $LIBS"
531cat > conftest.$ac_ext <<EOF
532#line 533 "configure"
533#include "confdefs.h"
534/* Override any gcc2 internal prototype to avoid an error.  */
535/* We use char because int might match the return type of a gcc2
536    builtin and then its argument prototype would still apply.  */
537char gethostbyname();
538
539int main() {
540gethostbyname()
541; return 0; }
542EOF
543if { (eval echo configure:544: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
544  rm -rf conftest*
545  eval "ac_cv_lib_$ac_lib_var=yes"
546else
547  echo "configure: failed program was:" >&5
548  cat conftest.$ac_ext >&5
549  rm -rf conftest*
550  eval "ac_cv_lib_$ac_lib_var=no"
551fi
552rm -f conftest*
553LIBS="$ac_save_LIBS"
554
555fi
556if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
557  echo "$ac_t""yes" 1>&6
558    ac_tr_lib=HAVE_LIB`echo nsl | sed -e 's/[^a-zA-Z0-9_]/_/g' \
559    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
560  cat >> confdefs.h <<EOF
561#define $ac_tr_lib 1
562EOF
563
564  LIBS="-lnsl $LIBS"
565
566else
567  echo "$ac_t""no" 1>&6
568fi
569
570echo $ac_n "checking for socket in -lsocket""... $ac_c" 1>&6
571echo "configure:572: checking for socket in -lsocket" >&5
572ac_lib_var=`echo socket'_'socket | sed 'y%./+-%__p_%'`
573if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
574  echo $ac_n "(cached) $ac_c" 1>&6
575else
576  ac_save_LIBS="$LIBS"
577LIBS="-lsocket  $LIBS"
578cat > conftest.$ac_ext <<EOF
579#line 580 "configure"
580#include "confdefs.h"
581/* Override any gcc2 internal prototype to avoid an error.  */
582/* We use char because int might match the return type of a gcc2
583    builtin and then its argument prototype would still apply.  */
584char socket();
585
586int main() {
587socket()
588; return 0; }
589EOF
590if { (eval echo configure:591: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
591  rm -rf conftest*
592  eval "ac_cv_lib_$ac_lib_var=yes"
593else
594  echo "configure: failed program was:" >&5
595  cat conftest.$ac_ext >&5
596  rm -rf conftest*
597  eval "ac_cv_lib_$ac_lib_var=no"
598fi
599rm -f conftest*
600LIBS="$ac_save_LIBS"
601
602fi
603if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
604  echo "$ac_t""yes" 1>&6
605    ac_tr_lib=HAVE_LIB`echo socket | sed -e 's/[^a-zA-Z0-9_]/_/g' \
606    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
607  cat >> confdefs.h <<EOF
608#define $ac_tr_lib 1
609EOF
610
611  LIBS="-lsocket $LIBS"
612
613else
614  echo "$ac_t""no" 1>&6
615fi
616
617
618echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
619echo "configure:620: checking how to run the C preprocessor" >&5
620# On Suns, sometimes $CPP names a directory.
621if test -n "$CPP" && test -d "$CPP"; then
622  CPP=
623fi
624if test -z "$CPP"; then
625if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
626  echo $ac_n "(cached) $ac_c" 1>&6
627else
628    # This must be in double quotes, not single quotes, because CPP may get
629  # substituted into the Makefile and "${CC-cc}" will confuse make.
630  CPP="${CC-cc} -E"
631  # On the NeXT, cc -E runs the code through the compiler's parser,
632  # not just through cpp.
633  cat > conftest.$ac_ext <<EOF
634#line 635 "configure"
635#include "confdefs.h"
636#include <assert.h>
637Syntax Error
638EOF
639ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
640{ (eval echo configure:641: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
641ac_err=`grep -v '^ *+' conftest.out`
642if test -z "$ac_err"; then
643  :
644else
645  echo "$ac_err" >&5
646  echo "configure: failed program was:" >&5
647  cat conftest.$ac_ext >&5
648  rm -rf conftest*
649  CPP="${CC-cc} -E -traditional-cpp"
650  cat > conftest.$ac_ext <<EOF
651#line 652 "configure"
652#include "confdefs.h"
653#include <assert.h>
654Syntax Error
655EOF
656ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
657{ (eval echo configure:658: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
658ac_err=`grep -v '^ *+' conftest.out`
659if test -z "$ac_err"; then
660  :
661else
662  echo "$ac_err" >&5
663  echo "configure: failed program was:" >&5
664  cat conftest.$ac_ext >&5
665  rm -rf conftest*
666  CPP=/lib/cpp
667fi
668rm -f conftest*
669fi
670rm -f conftest*
671  ac_cv_prog_CPP="$CPP"
672fi
673  CPP="$ac_cv_prog_CPP"
674else
675  ac_cv_prog_CPP="$CPP"
676fi
677echo "$ac_t""$CPP" 1>&6
678
679echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
680echo "configure:681: checking for ANSI C header files" >&5
681if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
682  echo $ac_n "(cached) $ac_c" 1>&6
683else
684  cat > conftest.$ac_ext <<EOF
685#line 686 "configure"
686#include "confdefs.h"
687#include <stdlib.h>
688#include <stdarg.h>
689#include <string.h>
690#include <float.h>
691EOF
692ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
693{ (eval echo configure:694: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
694ac_err=`grep -v '^ *+' conftest.out`
695if test -z "$ac_err"; then
696  rm -rf conftest*
697  ac_cv_header_stdc=yes
698else
699  echo "$ac_err" >&5
700  echo "configure: failed program was:" >&5
701  cat conftest.$ac_ext >&5
702  rm -rf conftest*
703  ac_cv_header_stdc=no
704fi
705rm -f conftest*
706
707if test $ac_cv_header_stdc = yes; then
708  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
709cat > conftest.$ac_ext <<EOF
710#line 711 "configure"
711#include "confdefs.h"
712#include <string.h>
713EOF
714if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
715  egrep "memchr" >/dev/null 2>&1; then
716  :
717else
718  rm -rf conftest*
719  ac_cv_header_stdc=no
720fi
721rm -f conftest*
722
723fi
724
725if test $ac_cv_header_stdc = yes; then
726  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
727cat > conftest.$ac_ext <<EOF
728#line 729 "configure"
729#include "confdefs.h"
730#include <stdlib.h>
731EOF
732if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
733  egrep "free" >/dev/null 2>&1; then
734  :
735else
736  rm -rf conftest*
737  ac_cv_header_stdc=no
738fi
739rm -f conftest*
740
741fi
742
743if test $ac_cv_header_stdc = yes; then
744  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
745if test "$cross_compiling" = yes; then
746  :
747else
748  cat > conftest.$ac_ext <<EOF
749#line 750 "configure"
750#include "confdefs.h"
751#include <ctype.h>
752#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
753#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
754#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
755int main () { int i; for (i = 0; i < 256; i++)
756if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
757exit (0); }
758
759EOF
760if { (eval echo configure:761: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
761then
762  :
763else
764  echo "configure: failed program was:" >&5
765  cat conftest.$ac_ext >&5
766  rm -fr conftest*
767  ac_cv_header_stdc=no
768fi
769rm -fr conftest*
770fi
771
772fi
773fi
774
775echo "$ac_t""$ac_cv_header_stdc" 1>&6
776if test $ac_cv_header_stdc = yes; then
777  cat >> confdefs.h <<\EOF
778#define STDC_HEADERS 1
779EOF
780
781fi
782
783for ac_hdr in string.h
784do
785ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
786echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
787echo "configure:788: checking for $ac_hdr" >&5
788if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
789  echo $ac_n "(cached) $ac_c" 1>&6
790else
791  cat > conftest.$ac_ext <<EOF
792#line 793 "configure"
793#include "confdefs.h"
794#include <$ac_hdr>
795EOF
796ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
797{ (eval echo configure:798: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
798ac_err=`grep -v '^ *+' conftest.out`
799if test -z "$ac_err"; then
800  rm -rf conftest*
801  eval "ac_cv_header_$ac_safe=yes"
802else
803  echo "$ac_err" >&5
804  echo "configure: failed program was:" >&5
805  cat conftest.$ac_ext >&5
806  rm -rf conftest*
807  eval "ac_cv_header_$ac_safe=no"
808fi
809rm -f conftest*
810fi
811if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
812  echo "$ac_t""yes" 1>&6
813    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
814  cat >> confdefs.h <<EOF
815#define $ac_tr_hdr 1
816EOF
817
818else
819  echo "$ac_t""no" 1>&6
820fi
821done
822
823
824echo $ac_n "checking whether struct tm is in sys/time.h or time.h""... $ac_c" 1>&6
825echo "configure:826: checking whether struct tm is in sys/time.h or time.h" >&5
826if eval "test \"`echo '$''{'ac_cv_struct_tm'+set}'`\" = set"; then
827  echo $ac_n "(cached) $ac_c" 1>&6
828else
829  cat > conftest.$ac_ext <<EOF
830#line 831 "configure"
831#include "confdefs.h"
832#include <sys/types.h>
833#include <time.h>
834int main() {
835struct tm *tp; tp->tm_sec;
836; return 0; }
837EOF
838if { (eval echo configure:839: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
839  rm -rf conftest*
840  ac_cv_struct_tm=time.h
841else
842  echo "configure: failed program was:" >&5
843  cat conftest.$ac_ext >&5
844  rm -rf conftest*
845  ac_cv_struct_tm=sys/time.h
846fi
847rm -f conftest*
848fi
849
850echo "$ac_t""$ac_cv_struct_tm" 1>&6
851if test $ac_cv_struct_tm = sys/time.h; then
852  cat >> confdefs.h <<\EOF
853#define TM_IN_SYS_TIME 1
854EOF
855
856fi
857
858
859for ac_func in gethostname strdup strerror
860do
861echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
862echo "configure:863: checking for $ac_func" >&5
863if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
864  echo $ac_n "(cached) $ac_c" 1>&6
865else
866  cat > conftest.$ac_ext <<EOF
867#line 868 "configure"
868#include "confdefs.h"
869/* System header to define __stub macros and hopefully few prototypes,
870    which can conflict with char $ac_func(); below.  */
871#include <assert.h>
872/* Override any gcc2 internal prototype to avoid an error.  */
873/* We use char because int might match the return type of a gcc2
874    builtin and then its argument prototype would still apply.  */
875char $ac_func();
876
877int main() {
878
879/* The GNU C library defines this for functions which it implements
880    to always fail with ENOSYS.  Some functions are actually named
881    something starting with __ and the normal name is an alias.  */
882#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
883choke me
884#else
885$ac_func();
886#endif
887
888; return 0; }
889EOF
890if { (eval echo configure:891: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
891  rm -rf conftest*
892  eval "ac_cv_func_$ac_func=yes"
893else
894  echo "configure: failed program was:" >&5
895  cat conftest.$ac_ext >&5
896  rm -rf conftest*
897  eval "ac_cv_func_$ac_func=no"
898fi
899rm -f conftest*
900fi
901
902if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
903  echo "$ac_t""yes" 1>&6
904    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
905  cat >> confdefs.h <<EOF
906#define $ac_tr_func 1
907EOF
908
909else
910  echo "$ac_t""no" 1>&6
911fi
912done
913
914
915trap '' 1 2 15
916cat > confcache <<\EOF
917# This file is a shell script that caches the results of configure
918# tests run on this system so they can be shared between configure
919# scripts and configure runs.  It is not useful on other systems.
920# If it contains results you don't want to keep, you may remove or edit it.
921#
922# By default, configure uses ./config.cache as the cache file,
923# creating it if it does not exist already.  You can give configure
924# the --cache-file=FILE option to use a different cache file; that is
925# what configure does when it calls configure scripts in
926# subdirectories, so they share the cache.
927# Giving --cache-file=/dev/null disables caching, for debugging configure.
928# config.status only pays attention to the cache file if you give it the
929# --recheck option to rerun configure.
930#
931EOF
932# The following way of writing the cache mishandles newlines in values,
933# but we know of no workaround that is simple, portable, and efficient.
934# So, don't put newlines in cache variables' values.
935# Ultrix sh set writes to stderr and can't be redirected directly,
936# and sets the high bit in the cache file unless we assign to the vars.
937(set) 2>&1 |
938  case `(ac_space=' '; set) 2>&1` in
939  *ac_space=\ *)
940    # `set' does not quote correctly, so add quotes (double-quote substitution
941    # turns \\\\ into \\, and sed turns \\ into \).
942    sed -n \
943      -e "s/'/'\\\\''/g" \
944      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
945    ;;
946  *)
947    # `set' quotes correctly as required by POSIX, so do not add quotes.
948    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
949    ;;
950  esac >> confcache
951if cmp -s $cache_file confcache; then
952  :
953else
954  if test -w $cache_file; then
955    echo "updating cache $cache_file"
956    cat confcache > $cache_file
957  else
958    echo "not updating unwritable cache $cache_file"
959  fi
960fi
961rm -f confcache
962
963trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
964
965test "x$prefix" = xNONE && prefix=$ac_default_prefix
966# Let make expand exec_prefix.
967test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
968
969# Any assignment to VPATH causes Sun make to only execute
970# the first set of double-colon rules, so remove it if not needed.
971# If there is a colon in the path, we need to keep it.
972if test "x$srcdir" = x.; then
973  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
974fi
975
976trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
977
978# Transform confdefs.h into DEFS.
979# Protect against shell expansion while executing Makefile rules.
980# Protect against Makefile macro expansion.
981cat > conftest.defs <<\EOF
982s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
983s%[ 	`~#$^&*(){}\\|;'"<>?]%\\&%g
984s%\[%\\&%g
985s%\]%\\&%g
986s%\$%$$%g
987EOF
988DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
989rm -f conftest.defs
990
991
992# Without the "./", some shells look in PATH for config.status.
993: ${CONFIG_STATUS=./config.status}
994
995echo creating $CONFIG_STATUS
996rm -f $CONFIG_STATUS
997cat > $CONFIG_STATUS <<EOF
998#! /bin/sh
999# Generated automatically by configure.
1000# Run this file to recreate the current configuration.
1001# This directory was configured as follows,
1002# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1003#
1004# $0 $ac_configure_args
1005#
1006# Compiler output produced by configure, useful for debugging
1007# configure, is in ./config.log if it exists.
1008
1009ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1010for ac_option
1011do
1012  case "\$ac_option" in
1013  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1014    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1015    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1016  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1017    echo "$CONFIG_STATUS generated by autoconf version 2.12"
1018    exit 0 ;;
1019  -help | --help | --hel | --he | --h)
1020    echo "\$ac_cs_usage"; exit 0 ;;
1021  *) echo "\$ac_cs_usage"; exit 1 ;;
1022  esac
1023done
1024
1025ac_given_srcdir=$srcdir
1026
1027trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1028EOF
1029cat >> $CONFIG_STATUS <<EOF
1030
1031# Protect against being on the right side of a sed subst in config.status.
1032sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1033 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1034$ac_vpsub
1035$extrasub
1036s%@CFLAGS@%$CFLAGS%g
1037s%@CPPFLAGS@%$CPPFLAGS%g
1038s%@CXXFLAGS@%$CXXFLAGS%g
1039s%@DEFS@%$DEFS%g
1040s%@LDFLAGS@%$LDFLAGS%g
1041s%@LIBS@%$LIBS%g
1042s%@exec_prefix@%$exec_prefix%g
1043s%@prefix@%$prefix%g
1044s%@program_transform_name@%$program_transform_name%g
1045s%@bindir@%$bindir%g
1046s%@sbindir@%$sbindir%g
1047s%@libexecdir@%$libexecdir%g
1048s%@datadir@%$datadir%g
1049s%@sysconfdir@%$sysconfdir%g
1050s%@sharedstatedir@%$sharedstatedir%g
1051s%@localstatedir@%$localstatedir%g
1052s%@libdir@%$libdir%g
1053s%@includedir@%$includedir%g
1054s%@oldincludedir@%$oldincludedir%g
1055s%@infodir@%$infodir%g
1056s%@mandir@%$mandir%g
1057s%@CPP@%$CPP%g
1058
1059CEOF
1060EOF
1061
1062cat >> $CONFIG_STATUS <<\EOF
1063
1064# Split the substitutions into bite-sized pieces for seds with
1065# small command number limits, like on Digital OSF/1 and HP-UX.
1066ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1067ac_file=1 # Number of current file.
1068ac_beg=1 # First line for current file.
1069ac_end=$ac_max_sed_cmds # Line after last line for current file.
1070ac_more_lines=:
1071ac_sed_cmds=""
1072while $ac_more_lines; do
1073  if test $ac_beg -gt 1; then
1074    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1075  else
1076    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1077  fi
1078  if test ! -s conftest.s$ac_file; then
1079    ac_more_lines=false
1080    rm -f conftest.s$ac_file
1081  else
1082    if test -z "$ac_sed_cmds"; then
1083      ac_sed_cmds="sed -f conftest.s$ac_file"
1084    else
1085      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1086    fi
1087    ac_file=`expr $ac_file + 1`
1088    ac_beg=$ac_end
1089    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1090  fi
1091done
1092if test -z "$ac_sed_cmds"; then
1093  ac_sed_cmds=cat
1094fi
1095EOF
1096
1097cat >> $CONFIG_STATUS <<EOF
1098
1099CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1100EOF
1101cat >> $CONFIG_STATUS <<\EOF
1102for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1103  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1104  case "$ac_file" in
1105  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1106       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1107  *) ac_file_in="${ac_file}.in" ;;
1108  esac
1109
1110  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1111
1112  # Remove last slash and all that follows it.  Not all systems have dirname.
1113  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1114  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1115    # The file is in a subdirectory.
1116    test ! -d "$ac_dir" && mkdir "$ac_dir"
1117    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1118    # A "../" for each directory in $ac_dir_suffix.
1119    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1120  else
1121    ac_dir_suffix= ac_dots=
1122  fi
1123
1124  case "$ac_given_srcdir" in
1125  .)  srcdir=.
1126      if test -z "$ac_dots"; then top_srcdir=.
1127      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1128  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1129  *) # Relative path.
1130    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1131    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1132  esac
1133
1134
1135  echo creating "$ac_file"
1136  rm -f "$ac_file"
1137  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1138  case "$ac_file" in
1139  *Makefile*) ac_comsub="1i\\
1140# $configure_input" ;;
1141  *) ac_comsub= ;;
1142  esac
1143
1144  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1145  sed -e "$ac_comsub
1146s%@configure_input@%$configure_input%g
1147s%@srcdir@%$srcdir%g
1148s%@top_srcdir@%$top_srcdir%g
1149" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1150fi; done
1151rm -f conftest.s*
1152
1153EOF
1154cat >> $CONFIG_STATUS <<EOF
1155
1156EOF
1157cat >> $CONFIG_STATUS <<\EOF
1158
1159exit 0
1160EOF
1161chmod +x $CONFIG_STATUS
1162rm -fr confdefs* $ac_clean_files
1163test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1164
1165